org.apache.http.message

## Class BasicRequestLine

- java.lang.Object
- - org.apache.http.message.BasicRequestLine

- All Implemented Interfaces:
    Serializable, Cloneable, RequestLine

      @Immutable
      public class BasicRequestLine
      extends Object
      implements RequestLine, Cloneable, Serializable

  Basic implementation of `RequestLine`.
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicRequestLine(String method, String uri, ProtocolVersion version)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `String` | `getMethod()`
    `ProtocolVersion` | `getProtocolVersion()`
    `String` | `getUri()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicRequestLine

          public BasicRequestLine(String method,
                          String uri,
                          ProtocolVersion version)

  - ### Method Detail

    - #### getMethod

          public String getMethod()

      Specified by:
        `getMethod` in interface `RequestLine`

    - #### getProtocolVersion

          public ProtocolVersion getProtocolVersion()

      Specified by:
        `getProtocolVersion` in interface `RequestLine`

    - #### getUri

          public String getUri()

      Specified by:
        `getUri` in interface `RequestLine`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### clone

          public Object clone()
                       throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.